/*******************************************************************************
 *
 * blueMarine - open source photo workflow
 * =======================================
 *
 * Copyright (C) 2003-2009 by Fabrizio Giudici
 * Project home page: http://bluemarine.tidalwave.it
 *
 *******************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 *
 *******************************************************************************
 *
 * $Id: EXIFFlashFormat.java,v d60681e7fc1d 2009/09/17 23:59:23 fabrizio $
 *
 ******************************************************************************/
package it.tidalwave.metadata.text;

import java.text.FieldPosition;
import java.text.Format;
import java.text.ParsePosition;
import javax.annotation.Nonnull;
import org.openide.util.NbBundle;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: EXIFFlashFormat.java,v d60681e7fc1d 2009/09/17 23:59:23 fabrizio $
 *
 ******************************************************************************/
public class EXIFFlashFormat extends Format
  {
    private static final long serialVersionUID = 36345562345876458L;

    @Override
    @Nonnull
    public StringBuffer format (@Nonnull final Object obj,
                                @Nonnull final StringBuffer toAppendTo,
                                @Nonnull final FieldPosition pos)
      {
        final int code = (Integer)obj;
        final String string = NbBundle.getMessage(EXIFFlashFormat.class, String.format("flash_%04X", code));
        toAppendTo.append((string != null) ? string : "????");
        return toAppendTo;
      }

    @Override
    @Nonnull
    public Object parseObject (final String source, final ParsePosition pos) 
      {
        throw new UnsupportedOperationException("Not supported yet.");
      }  
  }
