/*******************************************************************************
 *
 * blueMarine - open source photo workflow
 * =======================================
 *
 * Copyright (C) 2003-2009 by Fabrizio Giudici
 * Project home page: http://bluemarine.tidalwave.it
 *
 *******************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 *
 *******************************************************************************
 *
 * $Id: FocalFormat.java,v d60681e7fc1d 2009/09/17 23:59:23 fabrizio $
 *
 ******************************************************************************/
package it.tidalwave.metadata.text;

import javax.annotation.Nonnegative;
import javax.annotation.Nonnull;
import java.text.DecimalFormat;
import java.text.FieldPosition;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: FocalFormat.java,v d60681e7fc1d 2009/09/17 23:59:23 fabrizio $
 *
 ******************************************************************************/
public class FocalFormat extends DecimalFormat
  {
    private static final long serialVersionUID = 3657562345876458L;

    @Override
    @Nonnull
    public StringBuffer format (@Nonnegative final long number,
                                @Nonnull final StringBuffer result,
                                @Nonnull final FieldPosition fieldPosition)
      {
        return format((double)number, result, fieldPosition);
      }
    
    @Override
    @Nonnull
    public StringBuffer format (@Nonnegative final double number,
                                @Nonnull final StringBuffer toAppendTo,
                                @Nonnull final FieldPosition pos)
      {
        toAppendTo.append(String.format("%.1f mm", number).replaceAll(".0 ", " "));
        return toAppendTo;
      }

    @Override
    @Nonnull
    public Number parse (final String s)
      {
        throw new UnsupportedOperationException();
      }
  }
